Subject: Re: bug#58065: UNSUPPORTED test cases still can FAIL

From: Jacob Bachmeyer <[email-masked]>
Date: Tue, 04 Oct 2022 22:31:17 -0500

A preliminary patch has been pushed on the PR58065 branch at Savannah.  
Please confirm that it resolves this issue.

The preliminary patch works by storing the result of message processing 
before calling ${tool}-dg-prune and discarding the stored results 
instead of reporting them to the framework if ${tool}-dg-prune indicates 
to abort the test.

The descriptions given were sufficient that I was able avoid examining 
the offered test case and thus avoid needing associated copyright paperwork.

Somewhat amusingly, the additional tests included bring the total number 
of tests across all tools in a run of DejaGnu's internal testsuite to 
666.  While I would enjoy tweaking superstitious people by making a 
release like this, unfortunately there are still quite a few other items 
on the checklist for 1.6.4, so there will probably be more tests added 
before the release.

-- Jacob